#import "AppDelegate.h"
#import "GeneratedPluginRegistrant.h"
#import <AlicloudHAUtil/AlicloudHAProvider.h>
#import <AlicloudCrash/AlicloudCrashProvider.h>
#import <BizErrorReporter4iOS/BizErrorReporter.h>

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application
    didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    
    NSString *appKey = @"*";
    NSString *secret = @"*";
    NSString *appVersion = @"flutter1.0"; //app版本，会上报
    NSString *channel = @"test";     //渠道标记，自定义，会上报
    NSString *nick = @"flutter_nick";        //nick 昵称，自定义，会上报
    [[AlicloudCrashProvider alloc] initWithAppKey:appKey secret:secret appVersion:appVersion channel:channel nick:nick];
    [AlicloudHAProvider start];
    
    
    [GeneratedPluginRegistrant registerWithRegistry:self];

    
  return [super application:application didFinishLaunchingWithOptions:launchOptions];
}

@end
